JUCE: MidiDeviceInfo Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MidiDeviceInfo Struct Reference
juce_audio_devices » midi_io

This struct contains information about a MIDI input or output device. More...

`#include <juce_MidiDevices.h>`

## Public Member Functions
| MidiDeviceInfo ()=default
| MidiDeviceInfo (const String &deviceName, const String &deviceIdentifier)
bool | operator== (const MidiDeviceInfo &other) const noexcept
bool | operator!= (const MidiDeviceInfo &other) const noexcept

## Public Attributes
String | name
| The name of this device.
String | identifier
| The identifier for this device.

## Detailed Description

This struct contains information about a MIDI input or output device.

You can get one of these structs by calling the static getAvailableDevices() or getDefaultDevice() methods of MidiInput and MidiOutput or by calling getDeviceInfo() on an instance of these classes. Devices can be opened by passing the identifier to the openDevice() method.

## Constructor & Destructor Documentation

## ◆ MidiDeviceInfo() [1/2]

MidiDeviceInfo::MidiDeviceInfo | ( |  | ) |
| default

## ◆ MidiDeviceInfo() [2/2]

MidiDeviceInfo::MidiDeviceInfo | ( | const String & | deviceName,
|  | const String & | deviceIdentifier
| ) |  |

## Member Function Documentation

## ◆ operator==()

bool MidiDeviceInfo::operator== | ( | const MidiDeviceInfo & | other | ) | const
| noexcept

References identifier, and name.

Referenced by operator!=().

## ◆ operator!=()

bool MidiDeviceInfo::operator!= | ( | const MidiDeviceInfo & | other | ) | const
| noexcept

References operator==().

## Member Data Documentation

## ◆ name

String MidiDeviceInfo::name

The name of this device.

This will be provided by the OS unless the device has been created with the createNewDevice() method.

Note that the name is not guaranteed to be unique and two devices with the same name will be indistinguishable. If you want to address a specific device it is better to use the identifier.

Referenced by operator==().

## ◆ identifier

String MidiDeviceInfo::identifier

The identifier for this device.

This will be provided by the OS and it's format will differ on different systems e.g. on macOS it will be a number whereas on Windows it will be a long alphanumeric string.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- juce_MidiDevices.h